VTK: vtkZSpaceCoreCompatibilitySDKManager Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkZSpaceCoreCompatibilitySDKManager Class Reference

zSpace Core Compatibility SDK manager class. More...

`#include <vtkZSpaceCoreCompatibilitySDKManager.h>`

Inheritance diagram for vtkZSpaceCoreCompatibilitySDKManager:
[legend]
Collaboration diagram for vtkZSpaceCoreCompatibilitySDKManager:
[legend]

## Public Types
typedef vtkZSpaceSDKManager | Superclass
Public Types inherited from vtkZSpaceSDKManager
enum | ButtonIds { MiddleButton = 0 , RightButton = 1 , LeftButton = 2 , NumberOfButtons = 3 }
enum | ButtonState { Down = 0 , Pressed = 1 , Up = 2 , None = 3 , NumberOfStates = 4 }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkZSpaceCoreCompatibilitySDKManager * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | InitializeZSpace () override
| Initialize the zSpace SDK and check for zSpace devices : the display, the stylus and the head trackers. More...
void | UpdateViewport () override
| Update the zSpace viewport position and size based on the position and size of the application window. More...
void | UpdateTrackers () override
| Update the position of the stylus and head trakers. More...
void | UpdateViewAndProjectionMatrix () override
| Update the zSpace view and projection matrix for each eye. More...
void | UpdateButtonState () override
| Update the stylus buttons state. More...
void | CalculateFrustumFit (const double bounds[6], double position[3], double viewUp[3]) override
| Let zSpace compute the viewer scale, camera position and camera view up from the input bounds. More...
void | SetRenderWindow (vtkRenderWindow *) override
| Set the render windwow the manager makes viewport computations from. More...
void | BeginFrame () override
| Notify the zSpace SDK for the begining/end of a frame. More...
void | EndFrame () override
| Notify the zSpace SDK for the begining/end of a frame. More...
Public Member Functions inherited from vtkZSpaceSDKManager
vtkZSpaceSDKManager * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Update ()
| Update the viewport, the trackers and the camera matrix by calling the zSpace SDK. More...
virtual int | GetWindowX ()
| Get the x position of the upper left corner of the zSpace display in the virtual desktop. More...
virtual int | GetWindowY ()
| Get the y position of the upper left corner of the zSpace display in the virtual desktop. More...
virtual int | GetWindowWidth ()
| Get the x resolution in pixels of the zSpace display. More...
virtual int | GetWindowHeight ()
| Get the y resolution in pixels of the zSpace display. More...
virtual int | GetStylusTargets ()
| Get the number of stylus connected to the zSpace device. More...
virtual int | GetHeadTargets ()
| Get the number of glasses connected to the zSpace device. More...
virtual int | GetSecondaryTargets ()
| Get the number of secondary targets connected to the zSpace device. More...
void | SetClippingRange (const float nearPlane, const float farPlane)
| Set the near and far plane. More...
virtual float | GetViewerScale ()
| Get the viewer scale. More...
virtual float | GetNearPlane ()
| Get the near plane. More...
virtual float | GetFarPlane ()
| Get the far plane. More...
virtual vtkMatrix4x4 * | GetCenterEyeViewMatrix ()
| Get the zSpace view matrix without stereo (eye set as EYE_CENTER) in row major format (VTK format) More...
vtkMatrix4x4 * | GetStereoViewMatrix (bool leftEye)
| Get the zSpace view matrix for the right or left eye in row major format (VTK format) More...
virtual vtkMatrix4x4 * | GetCenterEyeProjectionMatrix ()
| Get the zSpace projection matrix without stereo (eye set as EYE_CENTER) in row major format (VTK format) More...
vtkMatrix4x4 * | GetStereoProjectionMatrix (bool leftEye)
| Get the zSpace projection matrix for the right or left eye in row major format (VTK format) More...
virtual vtkMatrix4x4 * | GetStylusMatrixColMajor ()
| Get the zSpace stylus matrix in world space. More...
virtual vtkMatrix4x4 * | GetStylusMatrixRowMajor ()
| Get the zSpace stylus matrix in world space. More...
virtual vtkTransform * | GetStylusTransformRowMajor ()
| Get the zSpace stylus transform in world space. More...
virtual float | GetInterPupillaryDistance ()
| Get/Set the distance between the eyes in meters. More...
virtual void | SetInterPupillaryDistance (float)
| Get/Set the distance between the eyes in meters. More...
virtual int | GetLeftButtonState ()
| Get/Set the state of the left button of the stylus. More...
| vtkSetEnumMacro (LeftButtonState, ButtonState)
| Get/Set the state of the left button of the stylus. More...
virtual int | GetMiddleButtonState ()
| Get/Set the state of the middle button of the stylus. More...
| vtkSetEnumMacro (MiddleButtonState, ButtonState)
| Get/Set the state of the middle button of the stylus. More...
virtual int | GetRightButtonState ()
| Get/Set the state of the right button of the stylus. More...
| vtkSetEnumMacro (RightButtonState, ButtonState)
| Get/Set the state of the right button of the stylus. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkZSpaceCoreCompatibilitySDKManager * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkZSpaceCoreCompatibilitySDKManager * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkZSpaceSDKManager
static vtkTypeBool | IsTypeOf (const char *type)
static vtkZSpaceSDKManager * | SafeDownCast (vtkObjectBase *o)
static vtkZSpaceSDKManager * | GetInstance ()
| Return the singleton instance (with no reference counting) of a vtkZSpaceCoreSDKManager or vtkZSpaceCoreCompatibilitySDKManager depending on the curent zSpaceSDK in use. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkZSpaceCoreCompatibilitySDKManager ()
| ~vtkZSpaceCoreCompatibilitySDKManager () override
bool | loadZspaceCoreCompatibilityEntryPoints (const char *zSpaceCoreCompatDllFilePath, HMODULE &zSpaceCoreCompatDllModuleHandle, zSpaceCoreCompatEntryPoints &entryPoints)
| Load the "zSpaceCoreCompatibility64.dll" shared library then load the zSpace Core Compatibility API entry point functions (at runtime) More...
void | ConvertAndTransposeZSpaceMatrixToVTKMatrix (ZSMatrix4 zSpaceMatrix, vtkMatrix4x4 *vtkMatrix)
| zSpace stores matrix in column-major format (as OpenGL). More...
void | ConvertZSpaceMatrixToVTKMatrix (ZSMatrix4 zSpaceMatrix, vtkMatrix4x4 *vtkMatrix)
| zSpace stores matrix in column-major format (as OpenGL). More...
Protected Member Functions inherited from vtkZSpaceSDKManager
| vtkZSpaceSDKManager ()
| ~vtkZSpaceSDKManager () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
ZCCompatContext | ZSpaceContext = nullptr
ZCCompatDisplay | DisplayHandle = nullptr
ZCCompatViewport | ViewportHandle = nullptr
ZCCompatFrustum | FrustumHandle = nullptr
ZCCompatTarget | StylusHandle = nullptr
zSpaceCoreCompatEntryPoints | EntryPts
HMODULE | zSpaceCoreCompatDllModuleHandle
HWND | WidondowHandle
bool | Initialized = false
| Set to true if zSpaceCoreCompatibility dynamic libraries are found upon vtkZSpaceCoreCompatibilitySDKManager instantiation (see InitializeZSpace()). More...
Protected Attributes inherited from vtkZSpaceSDKManager
vtkRenderWindow * | RenderWindow = nullptr
vtkNew< vtkMatrix4x4 > | CenterEyeViewMatrix
vtkNew< vtkMatrix4x4 > | LeftEyeViewMatrix
vtkNew< vtkMatrix4x4 > | RightEyeViewMatrix
vtkNew< vtkMatrix4x4 > | CenterEyeProjectionMatrix
vtkNew< vtkMatrix4x4 > | LeftEyeProjectionMatrix
vtkNew< vtkMatrix4x4 > | RightEyeProjectionMatrix
vtkNew< vtkMatrix4x4 > | StylusMatrixColMajor
vtkNew< vtkMatrix4x4 > | StylusMatrixRowMajor
vtkNew< vtkTransform > | StylusTransformRowMajor
int | WindowX = 0
int | WindowY = 0
int | WindowWidth = 0
int | WindowHeight = 0
std::vector< std::string > | Displays
int | StylusTargets = 0
int | HeadTargets = 0
int | SecondaryTargets = 0
float | InterPupillaryDistance = 0.056f
float | ViewerScale = 1.f
float | NearPlane = 0.0001f
float | FarPlane = 1000.f
ButtonState | LeftButtonState = None
ButtonState | MiddleButtonState = None
ButtonState | RightButtonState = None
ButtonState * | ButtonsState [NumberOfButtons]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

zSpace Core Compatibility SDK manager class.

Class handling the interactions between the zSpace plugin and the zSpace Core Compatibility SDK. This class is private and should not be used directly. Please use vtkZSpaceSDKManager instead.

See also
  vtkZSpaceSDKManager

Definition at line 50 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkZSpaceSDKManager vtkZSpaceCoreCompatibilitySDKManager::Superclass

Definition at line 54 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## Constructor & Destructor Documentation

## ◆ vtkZSpaceCoreCompatibilitySDKManager()

vtkZSpaceCoreCompatibilitySDKManager::vtkZSpaceCoreCompatibilitySDKManager | ( |  | ) |
| protected

## ◆ ~vtkZSpaceCoreCompatibilitySDKManager()

vtkZSpaceCoreCompatibilitySDKManager::~vtkZSpaceCoreCompatibilitySDKManager | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkZSpaceCoreCompatibilitySDKManager* vtkZSpaceCoreCompatibilitySDKManager::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkZSpaceCoreCompatibilitySDKManager::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkZSpaceCoreCompatibilitySDKManager::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkZSpaceSDKManager.

## ◆ SafeDownCast()

static vtkZSpaceCoreCompatibilitySDKManager* vtkZSpaceCoreCompatibilitySDKManager::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkZSpaceCoreCompatibilitySDKManager::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkZSpaceSDKManager.

## ◆ NewInstance()

vtkZSpaceCoreCompatibilitySDKManager* vtkZSpaceCoreCompatibilitySDKManager::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkZSpaceCoreCompatibilitySDKManager::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ InitializeZSpace()

void vtkZSpaceCoreCompatibilitySDKManager::InitializeZSpace | ( |  | ) |
| overridevirtual

Initialize the zSpace SDK and check for zSpace devices : the display, the stylus and the head trackers.

Implements vtkZSpaceSDKManager.

## ◆ UpdateViewport()

void vtkZSpaceCoreCompatibilitySDKManager::UpdateViewport | ( |  | ) |
| overridevirtual

Update the zSpace viewport position and size based on the position and size of the application window.

Implements vtkZSpaceSDKManager.

## ◆ UpdateTrackers()

void vtkZSpaceCoreCompatibilitySDKManager::UpdateTrackers | ( |  | ) |
| overridevirtual

Update the position of the stylus and head trakers.

Implements vtkZSpaceSDKManager.

## ◆ UpdateViewAndProjectionMatrix()

void vtkZSpaceCoreCompatibilitySDKManager::UpdateViewAndProjectionMatrix | ( |  | ) |
| overridevirtual

Update the zSpace view and projection matrix for each eye.

Implements vtkZSpaceSDKManager.

## ◆ UpdateButtonState()

void vtkZSpaceCoreCompatibilitySDKManager::UpdateButtonState | ( |  | ) |
| overridevirtual

Update the stylus buttons state.

Implements vtkZSpaceSDKManager.

## ◆ CalculateFrustumFit()

void vtkZSpaceCoreCompatibilitySDKManager::CalculateFrustumFit | ( | const double | bounds[6],
|  | double | position[3],
|  | double | viewUp[3]
| ) |  |
| overridevirtual

Let zSpace compute the viewer scale, camera position and camera view up from the input bounds.

Implements vtkZSpaceSDKManager.

## ◆ BeginFrame()

void vtkZSpaceCoreCompatibilitySDKManager::BeginFrame | ( |  | ) |
| overridevirtual

Notify the zSpace SDK for the begining/end of a frame.

Implements vtkZSpaceSDKManager.

## ◆ EndFrame()

void vtkZSpaceCoreCompatibilitySDKManager::EndFrame | ( |  | ) |
| overridevirtual

Notify the zSpace SDK for the begining/end of a frame.

Implements vtkZSpaceSDKManager.

## ◆ SetRenderWindow()

void vtkZSpaceCoreCompatibilitySDKManager::SetRenderWindow | ( | vtkRenderWindow * |  | ) |
| overridevirtual

Set the render windwow the manager makes viewport computations from.

Overriden to pass the related Windows window handle to the SDK.

Reimplemented from vtkZSpaceSDKManager.

## ◆ loadZspaceCoreCompatibilityEntryPoints()

bool vtkZSpaceCoreCompatibilitySDKManager::loadZspaceCoreCompatibilityEntryPoints | ( | const char * | zSpaceCoreCompatDllFilePath,
|  | HMODULE & | zSpaceCoreCompatDllModuleHandle,
|  | zSpaceCoreCompatEntryPoints & | entryPoints
| ) |  |
| protected

Load the "zSpaceCoreCompatibility64.dll" shared library then load the zSpace Core Compatibility API entry point functions (at runtime)

## ◆ ConvertAndTransposeZSpaceMatrixToVTKMatrix()

void vtkZSpaceCoreCompatibilitySDKManager::ConvertAndTransposeZSpaceMatrixToVTKMatrix | ( | ZSMatrix4 | zSpaceMatrix,
|  | vtkMatrix4x4 * | vtkMatrix
| ) |  |
| protected

zSpace stores matrix in column-major format (as OpenGL).

The matrix needs to be transposed to be used by VTK.

## ◆ ConvertZSpaceMatrixToVTKMatrix()

void vtkZSpaceCoreCompatibilitySDKManager::ConvertZSpaceMatrixToVTKMatrix | ( | ZSMatrix4 | zSpaceMatrix,
|  | vtkMatrix4x4 * | vtkMatrix
| ) |  |
| protected

zSpace stores matrix in column-major format (as OpenGL).

The matrix needs to be transposed to be used by VTK.

## Member Data Documentation

## ◆ ZSpaceContext

ZCCompatContext vtkZSpaceCoreCompatibilitySDKManager::ZSpaceContext = nullptr
| protected

Definition at line 109 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ DisplayHandle

ZCCompatDisplay vtkZSpaceCoreCompatibilitySDKManager::DisplayHandle = nullptr
| protected

Definition at line 110 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ ViewportHandle

ZCCompatViewport vtkZSpaceCoreCompatibilitySDKManager::ViewportHandle = nullptr
| protected

Definition at line 111 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ FrustumHandle

ZCCompatFrustum vtkZSpaceCoreCompatibilitySDKManager::FrustumHandle = nullptr
| protected

Definition at line 112 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ StylusHandle

ZCCompatTarget vtkZSpaceCoreCompatibilitySDKManager::StylusHandle = nullptr
| protected

Definition at line 113 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ EntryPts

zSpaceCoreCompatEntryPoints vtkZSpaceCoreCompatibilitySDKManager::EntryPts
| protected

Definition at line 116 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ zSpaceCoreCompatDllModuleHandle

HMODULE vtkZSpaceCoreCompatibilitySDKManager::zSpaceCoreCompatDllModuleHandle
| protected

Definition at line 119 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ WidondowHandle

HWND vtkZSpaceCoreCompatibilitySDKManager::WidondowHandle
| protected

Definition at line 122 of file vtkZSpaceCoreCompatibilitySDKManager.h.

## ◆ Initialized

bool vtkZSpaceCoreCompatibilitySDKManager::Initialized = false
| protected

Set to true if zSpaceCoreCompatibility dynamic libraries are found upon vtkZSpaceCoreCompatibilitySDKManager instantiation (see InitializeZSpace()).

Definition at line 147 of file vtkZSpaceCoreCompatibilitySDKManager.h.

The documentation for this class was generated from the following file:

- Rendering/ZSpace/vtkZSpaceCoreCompatibilitySDKManager.h